package main

import (
	"fmt"
	"golang.source-fellows.com/pattern/optimisticlocking/internal"
	"log"
)

func main() {
	fmt.Println("Optimictic Locking sample")

	err := internal.InitSample()
	if err != nil {
		log.Fatal(err)
	}

	err = internal.OptimicticLockignSample()
	if err != nil {
		log.Fatal(err)
	}

}
